File: Cargo.toml

package info (click to toggle)
rustc 1.46.0+dfsg1-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 269,876 kB
  • sloc: xml: 133,832; sh: 16,876; ansic: 16,844; javascript: 6,779; python: 6,128; cpp: 4,555; makefile: 3,186; asm: 1,392; ruby: 68; awk: 12
file content (74 lines) | stat: -rw-r--r-- 1,933 bytes parent folder | download | duplicates (4)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "flate2"
version = "1.0.12"
authors = ["Alex Crichton <alex@alexcrichton.com>"]
description = "Bindings to miniz.c for DEFLATE compression and decompression exposed as\nReader/Writer streams. Contains bindings for zlib, deflate, and gzip-based\nstreams.\n"
homepage = "https://github.com/alexcrichton/flate2-rs"
documentation = "https://docs.rs/flate2"
readme = "README.md"
keywords = ["gzip", "flate", "zlib", "encoding"]
categories = ["compression", "api-bindings"]
license = "MIT/Apache-2.0"
repository = "https://github.com/alexcrichton/flate2-rs"
[dependencies.cfg-if]
version = "0.1"

[dependencies.crc32fast]
version = "1.1"

[dependencies.futures]
version = "0.1.25"
optional = true

[dependencies.libc]
version = "0.2"

[dependencies.libz-sys]
version = "1.0"
optional = true

[dependencies.tokio-io]
version = "0.1.11"
optional = true
[dev-dependencies.futures]
version = "0.1"

[dev-dependencies.quickcheck]
version = "0.9"
default-features = false

[dev-dependencies.rand]
version = "0.7"

[dev-dependencies.tokio-io]
version = "0.1.11"

[dev-dependencies.tokio-tcp]
version = "0.1.3"

[dev-dependencies.tokio-threadpool]
version = "0.1.10"

[features]
default = ["zlib"]
rust_backend = ["zlib"]
tokio = ["tokio-io", "futures"]
zlib = ["libz-sys"]
[badges.appveyor]
repository = "alexcrichton/flate2-rs"

[badges.travis-ci]
repository = "alexcrichton/flate2-rs"